# Async iterator

An `Evt` is an `AsyncIterable`: &#x20;

{% embed url="<https://stackblitz.com/edit/evt-playground-uvjd74?file=index.ts>" %}

You can stop the loop from outside by using a `Ctx`

{% embed url="<https://stackblitz.com/edit/evt-playground-xw66az?file=index.ts>" %}

You can automatically exit the loop when ever x millisecond have passed since the last event was received.

{% embed url="<https://stackblitz.com/edit/evt-playground-fsbad9?file=index.ts>" %}

You can also filter the type of event you want to iterate over: &#x20;

{% embed url="<https://stackblitz.com/edit/evt-playground-i17pvg?file=index.ts>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.evt.land/api/evt/async-iterator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
